{ pkgs, ... }:

{
  services.nginx.virtualHosts = {
    "nogo2024.clerie.de" = {
      enableACME = true;
      forceSSL = true;
      locations."/" = {
        return = "404";
      };
      locations."= /nogo2024.ics" = {
        root = pkgs.fetchgit {
          url = "https://git.clerie.de/clerie/nogo2024.git";
          rev = "fdc07667e6cfa09e91eaaee488528fb842a6115d";
          sha256 = "sha256-qRviw0sQnMmrkwBO0+AWnmeqZK8wXeFxZJgmLMUtzn4=";
        };
      };
    };
  };
}
